<script type="text/javascript">
$(document).ready(function() {
	$("#txt_oldpsw").focus();
	
	$("#cek_password").click(function(){
		simpan_tmp();
	});
	
	function simpan_tmp(){		
		var oldpsw  = $("#txt_oldpsw").val();
		 
		$.ajax({
			type	: "POST",
			url		: "modul/upd_psw/simpan_tmp.php",
			data	: "oldpsw="+oldpsw,
			timeout	: 3000,
			beforeSend	: function(){		
				$("#info").html("<img src='loading.gif' />");			
			},				  
			success	: function(data){
				$("#info").html(data);
				cek_psw();
			}
		});
	}
	
	function cek_psw(){
		var no = 1;
	
		$.ajax({
			type	: "POST",
			url		: "modul/upd_psw/cocok_psw.php",
			data	: "no="+no,
			dataType: "json",
			success	: function(data){
				$("#txt_password").val(data.password);
				$("#txt_oldpass").val(data.password1);
				var oldpass = $("#txt_oldpass").val();
				var password= $("#txt_password").val();
				
				if(!(oldpass==password)){
					alert('Maaf, password tidak sesuai, silahkan ulangi.');
					$("#txt_oldpsw").focus();
					return(false);
				}else{
					$('#form_cari_password').dialog('close');
					$("#form").hide();
					$("#form_proses").show();
					tutup_buku();
				}
			}
		});
	}
	
	function tutup_buku(){
		var tahun = $("#txt_tahun").val();

		$.ajax({
			type	: "POST",
			url	    : "modul/ttp_tahun/tutup_buku.php",
			data	: "tahun="+tahun,
			success	: function(data){				
				$("#info").html(data);
				$("#form_proses").hide();
				$("#form_selesai").show();
				$("#tutup_selesai").focus();
			}
		});
	}
	
	$("#keluar").click(function(){
		$('#form_cari_password').dialog('close');
	});
	
	$("#tutup_selesai").click(function(){
		document.location='?module=home';
	});
});
</script>
<?php
echo "<table width='100%'>
	<input type='text' id='txt_password' class='input' hidden/>
	<input type='text' id='txt_oldpass' class='input' hidden/>
	<tr>
		<td>Password : <input type='password' id='txt_oldpsw' size='20' class='input'></td>
	</tr>
	</table>
	<hr>
	<br>
	
	<table width='100%'
	<tr>
		<td align='center'>
			<button id='cek_password'>OK</button>
			<button id='keluar'>Cancel</button>
		</td>
	</tr>
	</table>";
?>